Create a dedicated compute instance
curl --request POST \
--url https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseName}/compute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"instanceSize": "<string>",
"instanceName": "<string>"
}
'import requests
url = "https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseName}/compute"
payload = {
"instanceSize": "<string>",
"instanceName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({instanceSize: '<string>', instanceName: '<string>'})
};
fetch('https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseName}/compute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instanceId": "<string>",
"database": {
"id": "<string>",
"name": "<string>",
"workspace": {
"name": "<string>",
"slug": "<string>",
"id": "<string>",
"stripe_customer_id": "<string>",
"created": "2023-11-07T05:31:56Z"
},
"expandable": true,
"apiHost": "<string>",
"created": "2023-11-07T05:31:56Z",
"deleted": "2023-11-07T05:31:56Z",
"dbHost": "<string>",
"sharded": true
},
"instanceName": "<string>",
"instanceType": {
"id": "<string>",
"computeSize": "<string>",
"memory": "<string>",
"hourlyCost": 123
},
"desiredInstanceType": {
"id": "<string>",
"computeSize": "<string>",
"memory": "<string>",
"hourlyCost": 123
},
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"deleted": "2023-11-07T05:31:56Z"
}{
"instanceId": "<string>",
"database": {
"id": "<string>",
"name": "<string>",
"workspace": {
"name": "<string>",
"slug": "<string>",
"id": "<string>",
"stripe_customer_id": "<string>",
"created": "2023-11-07T05:31:56Z"
},
"expandable": true,
"apiHost": "<string>",
"created": "2023-11-07T05:31:56Z",
"deleted": "2023-11-07T05:31:56Z",
"dbHost": "<string>",
"sharded": true
},
"instanceName": "<string>",
"instanceType": {
"id": "<string>",
"computeSize": "<string>",
"memory": "<string>",
"hourlyCost": 123
},
"desiredInstanceType": {
"id": "<string>",
"computeSize": "<string>",
"memory": "<string>",
"hourlyCost": 123
},
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"deleted": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}databases
Create a dedicated compute instance
POST
/
workspaces
/
{workspaceSlug}
/
databases
/
{databaseName}
/
compute
Create a dedicated compute instance
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
*/*
Response
Instance created.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
PENDING, PROVISIONING, READY, RESIZING, DELETING, FAILED, TERMINATED Was this page helpful?
⌘I